
find_path(EXIV2_INCLUDE_DIR exiv2/exiv2.hpp)

set(_hints)
if(EXIV2_INCLUDE_DIR)
	get_filename_component(_exiv_dir "${EXIV2_INCLUDE_DIR}" PATH)
	set(_hints "${_exiv_dir}/bin/ReleaseDLL")
endif()

find_library(EXIV2_LIBRARY 
	NAMES exiv2
	HINTS ${_hints}
	)
	
INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(EXIV2 DEFAULT_MSG EXIV2_LIBRARY EXIV2_INCLUDE_DIR)

set(EXIV2_INCLUDE_DIRS)
set(EXIV2_LIBRARIES)
if(EXIV2_FOUND)
	set(EXIV2_INCLUDE_DIRS ${EXIV2_INCLUDE_DIR})
	set(EXIV2_LIBRARIES ${EXIV2_LIBRARY})
endif()